Jump to content
Sign in to follow this  
Followers 12
SwissTeam

eXplorist 500/600 (EU) Firmware Upgrade Version 2.57

Recommended Posts

I found the 2.57 file and tried to upgrade my 2.17 file. No change, no problems. Still the same as before. Still can't see WAAS satellites.

Share this post


Link to post

I have 2.16. Tried to update to European 2.57. All went smoothly, but no changes for me either. At startup it still shows 2.16 and I think it tries to get WAAS/EGNOS signal from one satellite here over Europe that doesn't send EGNOS anymore (PRN 131). Checked that from service menu "03". I still get WAAS/EGNOS from one satellite, though...

 

Doesn't anybody know why the update doesn't work with some of these devices?

Share this post


Link to post

I found the 2.57 file and tried to upgrade my 2.17 file. No change, no problems. Still the same as before. Still can't see WAAS satellites.

 

I'm in the same boat. From what I am able to gather the problem is the date of the firmware. If you hit 'menu' the goto 'about...' mine says Rev 5.2.17 Apr 24 2007. It seems that 2.17 was released after 2.57 which has a date of March 2007. The firmware will not let you "upgrade" to an older firmware than you already have. Somebody please correct me if I am wrong.

As well, you can not get the 2.57 firmware if your serial# starts with 133.

I wish I had known this before I tried to update the firmware. I had WAAS up until a couple of weeks ago. I tried to update the firmware and started with a "Clear All". Everything still works even though the firmware didn't change. But now no WAAS. Then I read in another thread not to clear all memory.

If anybody has come up with a workaround to this I would be most greatful. I've emailed Magellan but I'm not holding my breath there. Maybe if everyone here emailed them they would have to listen. Right? And then, maybe monkeys will fly out of my butt. :laughing: I know, wishful thinking.

Edited by ace862

Share this post


Link to post

Found this on getgpshelp.com forums:

 

Bottom line, it would appear that you can run the update to 2.57 IF you meet the following requirements:

 

1) You're running firmware 5.2.03 - not 5.2.17

2) You have a green printed circuit board beneath the battery.

3) Your serial number starts with a 118, or 0118. It *cannot* start with 133 or 0133, or you're screwed.

4) You must be using Windows XP or 2000 - NOT Vista.

 

Original thread on getgpshelp.com: http://getgpshelp.com/forums/showtopic.php?tid/8/

 

My units serial starts with 0133 so no luck for me then I guess :-(

Share this post


Link to post

>ace862

>It seems that 2.17 was released after 2.57 which has a date of March 2007.

YES, it does make a sense what you say. My firmware says "Rev. 5.2.17 24 Apr. 2007".

In a hunt for "new&better" firmware I have download an Explorist_500_600_2_57.zip.

Looking into it, it shows a date 08.02.2008.

 

>The firmware will not let you "upgrade" to an older firmware than you already have.

>Somebody please correct me if I am wrong.

YES, clever programmers (have to) do it that way.... so you are right.

 

As to fact that you have no WAAS signal anymore, the answer is here maybe:

http://www.gpsfaqs.org/faqs/magellan/explo...t500/usage.html

 

People who still want to "upgrade" read this (especially the end section):

here http://www.gpsfaqs.org/faqs/magellan/explo...0/firmware.html

 

The EGNOS satellites in here Europe has numbers 33 and 44. I have good WAAS/EGNOS signal, but who knows if a new upgrade will not affect this functionality ???

Edited by idiver

Share this post


Link to post

Im trying to upload the 2.03 firmware to my ex500 and everything goes good till it gets to the part where its suspose to auto shut down and it dosent, does anyone have any ideas what my problem is?

Share this post


Link to post

Im trying to upload the 2.03 firmware to my ex500 and everything goes good till it gets to the part where its suspose to auto shut down and it dosent, does anyone have any ideas what my problem is?

 

I would upgrade to the Euro version 5.2.57 . Its the best firmware to date. Shame on Magallen for not offering it to the north american models on their website. As for your problem, if it has completed the upload to the GPS by disconnecting the usb cable to your computer it should auto restart.

Share this post


Link to post

FWIW- I also failed to complete the upgrade with 5.2.18 as the start, and a 133 serial number. The Maggie website allowed me to change my registration, and download the firmware with this serial number. Upgrade went well, but it still shows my old software...

 

I did notice that it appears to upgrade twice.. I wonder if it puts 5.27 in, and then pulls it right out again..

Share this post


Link to post

I got a "stupid" question . . . how can I find out the firmware version number on my 500? The "about" page shows "5.2.17 April 24,2007" which obviously isn't what you guys are talking about.

 

Also, If I purchased the Li-ion battery pack for my 500LE, and use it instead of the AAA batteries, is my unit now a 500 instead of a 500LE?

 

Thanks.

Share this post


Link to post

I got a "stupid" question . . . how can I find out the firmware version number on my 500? The "about" page shows "5.2.17 April 24,2007" which obviously isn't what you guys are talking about.

 

Also, If I purchased the Li-ion battery pack for my 500LE, and use it instead of the AAA batteries, is my unit now a 500 instead of a 500LE?

 

Thanks.

 

mine also says 5.2.17 Apr 24, 2007. This seems to be an OS that cannot be upgraded to the 2.57 (I'm in the same boat). I have a Li-ion battery too that I added to my 500 LE. The only difference in the 500 and 500LE was the packaging. The 500 came with the battery and the LE came with the AAA clip. Nothing in the software or on the unit says anything other than 500, as far as I know.

Share this post


Link to post

mine also says 5.2.17 Apr 24, 2007. This seems to be an OS that cannot be upgraded to the 2.57 (I'm in the same boat).

 

Thanks for the quick response. DId you try doing the firmware upgrade?

Share this post


Link to post

Read through a good bit of this thread before attempting an upgrade and, to my surprise, it worked flawlessly. I registered my 500 NA version as a 500 EU version, downloaded the 2.57 update, and followed the instructions on the download page. All told probably took 4 minutes, and my GPS even seems to run a lot better now. The new screens are shiny and fun to play with, although I haven't determined if they're useful yet.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  
Followers 12

×
×
  • Create New...